
QGIS Application - Bug report #1147

WMS Layer Scale Problem

2008-07-10 08:44 AM - morgan -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11207

Description

When working with WMS layers, the scale is incorrect - thus, I can not use remote data with local data for an area.

Specifics:

When I load layers from PASDA, QGIS seems to think areas as large as Pennsylvania counties are less then 2 inches across. I have tried

both available projections, WGS84 and NAD83.

For example: http://maps.pasda.psu.edu/wmsconnector/com.esri.wms.Esrimap?Servicename=AlleghenyCounty

I am using QGIS 0.10.0-6~hardy from the QGIS repo on Kubuntu 8.04

History

#1 - 2008-07-11 11:24 PM - Paolo Cavallini

Furthermore, when adding the first layer on the list (Basins), I get:

Could not draw Pennsylvania because:

[[GetMap]] request is for a Layer not offered by the server, or [[GetFeatureInfo]] request is for a Layer not shown on the map.

The WMS vendor also reported: 

 Layer with ID 0 does not exist.

This is probably due to a bug in the QGIS program.  Please report this error.

Tried URL: 

http://maps.pasda.psu.edu/wmsconnector/com.esri.wms.Esrimap?Servicename=AlleghenyCounty&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;RE

UEST=GetMap&#38;BBOX=-80.285630,40.295590,-79.685920,40.589990&#38;SRS=EPSG:4326&#38;WIDTH=737&#38;HEIGHT=362&#38;LAYERS=0&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

=0&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

#2 - 2008-07-13 09:21 AM - Tim Sutton

Thanks for filing this ticket. Unfortunately I can only accept packaging related tickets against milestone 0.11.0 as we are branching for release, so I'm going

to mark this for milestone 1.0.0.

Regards

Tim

#3 - 2008-12-05 05:08 AM - Marco Hugentobler
- Resolution set to fixed

- Status changed from Open to Closed

I cannot reprocude this problems. The layers from this WMS seem to work fine, also the scale seems reasonable (tested with WGS84 and NAD83).

QGIS seems to think areas as large as Pennsylvania counties are less then 2 inches across

What kind of tool did you use. The measuring tool? Seems to work fine for me. You could check, if the dialog project properties -> general -> map units

shows decimal degree.

I'm closing this bug, as it is already 5 months old. Feel free to reopen if you still have this problem.

Marco

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
